using System;
using System.Collections.Generic;
using System.Text;

namespace VorsichtFalle
{
   class Program
   {
      static void Main(string[] args)
      {
         // lokales Array definieren
         int[] leeresArray = new int[10];
         
         // Methode aufrufen und lokales Array übergeben
         Console.WriteLine("Rückgabe der Methode: {0}", Quadrat(leeresArray));

         // Inhalt des lokalen Arrays anzeigen
         Console.WriteLine("\nInhalt des lokalem Arrays:");
         foreach (int i in leeresArray)                    
            Console.Write("{0} ", i);
         Console.WriteLine();

      }

      private static string Quadrat(int[] zahlen)
      {
         string quadratzahlen = "";                          // nimmt den Rückgabewert auf

         for (int i = 0; i < zahlen.Length; i++)      // Array mit Quadratzahlen füllen
         {
            zahlen[i] = (i+1) * (i+1);
            quadratzahlen = quadratzahlen + zahlen[i] + " ";
         }

         return quadratzahlen;
      }

   }
}
